import { OnInit } from '@angular/core';
import { Type } from '@angular/core';
import { ModalData } from '../types/modal-data.types';
import { NgbTypedModalModuleConfig } from '../types/ngb-typed-model-module-config.type';
import { NgbActiveModal } from '@ng-bootstrap/ng-bootstrap';
import { ModalWrapperDirective } from './modal-wrapper.directive';
import * as i0 from "@angular/core";
export declare class ModalWrapperComponent implements OnInit {
    config: NgbTypedModalModuleConfig;
    readonly activeModal: NgbActiveModal;
    component: Type<never>;
    componentData: never;
    modalData: ModalData;
    modalWrapperHost: ModalWrapperDirective;
    constructor(config: NgbTypedModalModuleConfig, activeModal: NgbActiveModal);
    ngOnInit(): void;
    loadComponent(): void;
    getStyleClasses(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<ModalWrapperComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ModalWrapperComponent, "app-modal-wrapper", never, { "component": { "alias": "component"; "required": false; }; "componentData": { "alias": "componentData"; "required": false; }; "modalData": { "alias": "modalData"; "required": false; }; }, {}, never, never, true, never>;
}
